from fastapi import FastAPI
from fastapi.responses import JSONResponse

from apinfer import ApinferMiddleware


def main():
    print("Hello from apinfer-test!")


app = FastAPI()
app.add_middleware(ApinferMiddleware)


@app.get("/users")
async def get_users() -> JSONResponse:
    return JSONResponse({"users": ["1", "2", "3"]})
